Loading...
Searching...
No Matches
mongocxx::v_noabi::bulk_write_exception Class Reference

`#include <mongocxx/v_noabi/mongocxx/exception/bulk_write_exception.hpp>`

## Description

An exception thrown during a bulk write operation.

See also
  - mongocxx::v_noabi::operation_exception

## Public Member Functions

| operation_exception (std::error_code ec, bsoncxx::v_noabi::document::value &&raw_server_error, std::string what_arg="")
| Constructs a new operation exception.
Public Member Functions inherited from mongocxx::v_noabi::operation_exception
| operation_exception (std::error_code ec, bsoncxx::v_noabi::document::value &&raw_server_error, std::string what_arg="")
| Constructs a new operation exception.
bool | has_error_label (bsoncxx::v_noabi::stdx::string_view label) const
| Checks for the specified label in a operation exception.
bsoncxx::v_noabi::stdx::optional< bsoncxx::v_noabi::document::value > const & | raw_server_error () const
| The optional raw bson error document from the server.
bsoncxx::v_noabi::stdx::optional< bsoncxx::v_noabi::document::value > & | raw_server_error ()
| The optional raw bson error document from the server.

## Member Function Documentation

## operation_exception()

mongocxx::v_noabi::operation_exception::operation_exception | ( | std::error_code | ec,
|  | bsoncxx::v_noabi::document::value && | raw_server_error,
|  | std::string | what_arg = "" )

Constructs a new operation exception.

Parameters

  ec | The error code associated with this exception.
  raw_server_error | The optional raw bson error document to be associated with this exception.
  what_arg | An optional message to be returned by what.

The documentation for this class was generated from the following file:

- mongocxx/v_noabi/mongocxx/exception/bulk_write_exception.hpp